<?php
namespace Core\annotationhandlers;

use Core\annotations\Bean;
use Core\annotations\Value;

return [
    Bean::class => function ($instance, $container) {
        $arr = explode("\\", get_class($instance));
        $beanName = end($arr);
        $container->set($beanName, $instance);
    },
    Value::class => function () {
    }
];